Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.serialize.codenorm
Class Normalizer

    java.lang.Object
      net.sf.saxon.serialize.codenorm.Normalizer

    public class Normalizer

extends Object

Implements Unicode Normalization Forms C, D, KC, KD. Copyright (c) 1991-2005 Unicode, Inc. For terms of use, see http://www.unicode.org/terms_of_use.html For documentation, see UAX#15.
The Unicode Consortium makes no expressed or implied warranty of any kind, and assumes no liability for errors or omissions. No liability is assumed for incidental and consequential damages in connection with or arising out of the use of the information here.

Author:
  Mark Davis Updates for supplementary code points: Vladimir Weinstein & Markus Scherer Modified to remove dependency on ICU code: Michael Kay

Field Summary
`static byte` | `C` Normalization Form Selector
`static byte` | `D` Normalization Form Selector
`static byte` | `KC` Normalization Form Selector
`static byte` | `KD` Normalization Form Selector
`static byte` | `NO_ACTION` Normalization Form Selector

Constructor Summary
`Normalizer(byte form, Configuration config)` Create a normalizer for a given form.
`Normalizer(CharSequence formCS, Configuration config)` Create a normalizer for a given form, expressed as a character string

Method Summary
`CharSequence` | `normalize(CharSequence source)` Normalizes text according to the chosen form

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### D

    public static final byte D

  Normalization Form Selector

  See Also:
    Constant Field Values

### C

    public static final byte C

  Normalization Form Selector

  See Also:
    Constant Field Values

### KD

    public static final byte KD

  Normalization Form Selector

  See Also:
    Constant Field Values

### KC

    public static final byte KC

  Normalization Form Selector

  See Also:
    Constant Field Values

### NO_ACTION

    public static final byte NO_ACTION

  Normalization Form Selector

  See Also:
    Constant Field Values

Constructor Detail

### Normalizer

    public Normalizer(byte form,
                      Configuration config)
               throws XPathException

  Create a normalizer for a given form.

  Parameters:
    `form` - the normalization form required: for example `C`, `D`
  Throws:
    `XPathException`

### Normalizer

    public Normalizer(CharSequence formCS,
                      Configuration config)
               throws XPathException

  Create a normalizer for a given form, expressed as a character string

  Parameters:
    `formCS` - the normalization form required: for example "NFC" or "NFD"
  Throws:
    `XPathException`

Method Detail

### normalize

    public CharSequence normalize(CharSequence source)

  Normalizes text according to the chosen form

  Parameters:
    `source` - the original text, unnormalized
  Returns:
    target the resulting normalized text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.